> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload base64 document



## OpenAPI

````yaml api-reference/openapi.yaml post /uploadB64Document
openapi: 3.0.0
info:
  title: Parcha API
  version: 1.0.0
  description: API for managing Parcha jobs and checks
servers:
  - url: https://api.parcha.ai/api/v1
    description: Agent Hub API server
  - url: https://demo.parcha.ai/api/v1
    description: Sandbox API server
  - url: https://us1.parcha.ai/api/v1
    description: Legacy API server
  - url: http://{your-company-domain}.parcha.ai/api/v1
    description: Custom Enterpris server (your company's API server)
security:
  - bearerAuth: []
paths:
  /uploadB64Document:
    post:
      summary: Upload base64 document
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadDocumentRequest'
      responses:
        '200':
          description: Document uploaded successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentResponse'
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  schemas:
    UploadDocumentRequest:
      type: object
      required:
        - b64_document
        - document_name
      properties:
        b64_document:
          type: string
          description: Base64 encoded document
        document_name:
          type: string
          description: Name of the document
    DocumentResponse:
      type: object
      properties:
        url:
          type: string
          description: Presigned URL for the document
        expiration:
          type: string
          format: date-time
          description: The expiration date and time (in UTC)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key obtained from your Parcha account settings. Include as Bearer
        token in the Authorization header.

````